local mod_name = minetest.get_current_modname()
local S = minetest.get_translator(mod_name)

minetest.register_craftitem("aom_items:nitrite", {
    description = S("Nitrite"),
    inventory_image = "aom_items_nitrite.png",
    groups = { craftitem = 1, chemical = 1 },
})

minetest.register_craftitem("aom_items:sulphur", {
    description = S("Sulphur"),
    inventory_image = "aom_items_sulphur.png",
    groups = { craftitem = 1, chemical = 1 },
})

minetest.register_craftitem("aom_items:gunpowder", {
    description = S("Black Powder"),
    inventory_image = "aom_items_gunpowder.png",
    groups = { craftitem = 1, chemical = 1, explosive = 1 },
})
aom_tcraft.register_craft({
    output = "aom_items:gunpowder 10",
    items = {
        ["aom_items:nitrite"] = 15,
        ["aom_items:sulphur"] = 2,
        ["aom_items:charcoal"] = 3,
    },
})
